package com.bonus.canteen.core.customer.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;

@TableName("cust_org_adjust")
@ApiModel("人员部门职位调整表")
@Data
public class CustOrgAdjust extends Model<CustOrgAdjust> {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("预计调整日期")
   private LocalDate expectedAdjustDate;
   @ApiModelProperty("调整日期")
   private LocalDate adjustDate;
   @ApiModelProperty("原机构id")
   private Long oldOrgId;
   @ApiModelProperty("新机构id")
   private Long newOrgId;
   @ApiModelProperty("状态（1成功,2失败,3待执行）")
   private Integer state;
   @ApiModelProperty("是否删除")
   private Integer ifDel;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @TableField(
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      fill = FieldFill.INSERT_UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      fill = FieldFill.INSERT_UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getCustId() {
      return this.custId;
   }

   public LocalDate getExpectedAdjustDate() {
      return this.expectedAdjustDate;
   }

   public LocalDate getAdjustDate() {
      return this.adjustDate;
   }

   public Long getOldOrgId() {
      return this.oldOrgId;
   }

   public Long getNewOrgId() {
      return this.newOrgId;
   }

   public Integer getState() {
      return this.state;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public CustOrgAdjust setId(final Long id) {
      this.id = id;
      return this;
   }

   public CustOrgAdjust setCustId(final Long custId) {
      this.custId = custId;
      return this;
   }

   public CustOrgAdjust setExpectedAdjustDate(final LocalDate expectedAdjustDate) {
      this.expectedAdjustDate = expectedAdjustDate;
      return this;
   }

   public CustOrgAdjust setAdjustDate(final LocalDate adjustDate) {
      this.adjustDate = adjustDate;
      return this;
   }

   public CustOrgAdjust setOldOrgId(final Long oldOrgId) {
      this.oldOrgId = oldOrgId;
      return this;
   }

   public CustOrgAdjust setNewOrgId(final Long newOrgId) {
      this.newOrgId = newOrgId;
      return this;
   }

   public CustOrgAdjust setState(final Integer state) {
      this.state = state;
      return this;
   }

   public CustOrgAdjust setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
      return this;
   }

   public CustOrgAdjust setRevision(final Integer revision) {
      this.revision = revision;
      return this;
   }

   public CustOrgAdjust setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public CustOrgAdjust setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public CustOrgAdjust setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public CustOrgAdjust setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }



}
